# Api.metaWeblog | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Namespace Api.metaWeblog

- Defined in: Api.metaWeblog.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Api.metaWeblog

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<private> <static> | Api.metaWeblog._getStruct(story)
<static> | Api.metaWeblog.editPost(id, name, password, content, publish)
<static> | Api.metaWeblog.getCategories(id, name, password)
<static> | Api.metaWeblog.getPost(id, name, password)
<static> | Api.metaWeblog.getRecentPosts(id, name, password, limit)
<static> | Api.metaWeblog.newMediaObject(id, name, password, media)
<static> | Api.metaWeblog.newPost(id, name, password, content, publish)

## Namespace Detail

Api.metaWeblog

## Method Detail

- <private> <static> {Object} Api.metaWeblog._getStruct(story)
  Parameters:
  {Story} story
  Returns:
    {Object}
- <static> {Boolean} Api.metaWeblog.editPost(id, name, password, content, publish)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {String} content
  {Boolean} publish
  Throws:
  {Error}
  Returns:
    {Boolean}
- <static> {Object[]} Api.metaWeblog.getCategories(id, name, password)
  Parameters:
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object[]}
- <static> {Object} Api.metaWeblog.getPost(id, name, password)
  Parameters:
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object}
- <static> {Object[]} Api.metaWeblog.getRecentPosts(id, name, password, limit)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {Number} limit
  Throws:
  {Error}
  Returns:
    {Object[]}
- <static> {Object} Api.metaWeblog.newMediaObject(id, name, password, media)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {String} media
  Throws:
  {Error}
  Returns:
    {Object}
- <static> {Number} Api.metaWeblog.newPost(id, name, password, content, publish)
  Parameters:
  {Number} id
  {String} name
  {String} password
  {String} content
  {Boolean} publish
  Throws:
  {Error}
  Returns:
    {Number}